# PLEASE adhere to the alphabetical ordering in this Makefile!
# Also indentation by a single tab

ELEMENTTESTSSOURCES = \
  ../Element/unittests/ElementUnitTest.cpp \
	../Element/unittests/PeriodentafelUnitTest.cpp

ELEMENTTESTSHEADERS = \
	../Element/unittests/ElementUnitTest.hpp \
	../Element/unittests/PeriodentafelUnitTest.hpp

ELEMENTTESTS = \
  ElementUnitTest \
  PeriodentafelUnitTest

TESTS += $(ELEMENTTESTS)
check_PROGRAMS += $(ELEMENTTESTS) 
noinst_PROGRAMS += $(ELEMENTTESTS)

ELEMENTLIBS = \
	../libMolecuilderElement.la \
	../libMolecuilderHelpers.la \
	$(BOOST_SERIALIZATION_LDFLAGS) $(BOOST_SERIALIZATION_LIBS)

ElementUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
	../Element/unittests/ElementUnitTest.cpp \
	../Element/unittests/ElementUnitTest.hpp
ElementUnitTest_LDADD = $(ELEMENTLIBS)

PeriodentafelUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
	../Element/unittests/PeriodentafelUnitTest.cpp \
	../Element/unittests/PeriodentafelUnitTest.hpp
PeriodentafelUnitTest_LDADD = $(ELEMENTLIBS)

#AUTOMAKE_OPTIONS = parallel-tests
